# -*- coding: utf-8 -*-
# This file is part of the investment-module from m-ds for Tryton.
# The COPYRIGHT file at the top level of this repository contains the
# full copyright notices and license terms.

from decimal import Decimal
from datetime import date


rates_list = [
    {'date': date(2022, 12, 6), 'rate': Decimal('21.98')},
    {'date': date(2022, 12, 5), 'rate': Decimal('23.53')},
    {'date': date(2022, 12, 2), 'rate': Decimal('22.73')},
    {'date': date(2022, 12, 1), 'rate': Decimal('23.8')},
    {'date': date(2022, 11, 30), 'rate': Decimal('23.25')},
    {'date': date(2022, 11, 29), 'rate': Decimal('23.17')},
    {'date': date(2022, 11, 28), 'rate': Decimal('23.33')},
    {'date': date(2022, 11, 25), 'rate': Decimal('23.41')},
    {'date': date(2022, 11, 24), 'rate': Decimal('23.57')},
    {'date': date(2022, 11, 23), 'rate': Decimal('23.73')},
    {'date': date(2022, 11, 22), 'rate': Decimal('23.68')},
    {'date': date(2022, 11, 21), 'rate': Decimal('24.0')},
    {'date': date(2022, 11, 18), 'rate': Decimal('23.58')},
    {'date': date(2022, 11, 17), 'rate': Decimal('23.72')},
    {'date': date(2022, 11, 16), 'rate': Decimal('23.95')},
    {'date': date(2022, 11, 15), 'rate': Decimal('24.16')},
    {'date': date(2022, 11, 14), 'rate': Decimal('24.22')},
    {'date': date(2022, 11, 11), 'rate': Decimal('25.61')},
    {'date': date(2022, 11, 10), 'rate': Decimal('24.99')},
    {'date': date(2022, 11, 9), 'rate': Decimal('25.3')},
    {'date': date(2022, 11, 8), 'rate': Decimal('25.77')},
    {'date': date(2022, 11, 7), 'rate': Decimal('25.81')},
    {'date': date(2022, 11, 4), 'rate': Decimal('25.81')},
    {'date': date(2022, 11, 3), 'rate': Decimal('25.36')},
    {'date': date(2022, 11, 2), 'rate': Decimal('25.48')},
    {'date': date(2022, 11, 1), 'rate': Decimal('25.88')},
    {'date': date(2022, 10, 31), 'rate': Decimal('25.74')},
    {'date': date(2022, 10, 28), 'rate': Decimal('25.3')},
    {'date': date(2022, 10, 27), 'rate': Decimal('25.56')},
    {'date': date(2022, 10, 26), 'rate': Decimal('26.21')},
    {'date': date(2022, 10, 25), 'rate': Decimal('26.5')},
    {'date': date(2022, 10, 24), 'rate': Decimal('26.74')},
    {'date': date(2022, 10, 21), 'rate': Decimal('26.43')},
    {'date': date(2022, 10, 20), 'rate': Decimal('26.1')},
    {'date': date(2022, 10, 19), 'rate': Decimal('25.95')},
    {'date': date(2022, 10, 18), 'rate': Decimal('26.0')},
    {'date': date(2022, 10, 17), 'rate': Decimal('25.32')},
    {'date': date(2022, 10, 14), 'rate': Decimal('25.77')},
    {'date': date(2022, 10, 13), 'rate': Decimal('25.55')},
    {'date': date(2022, 10, 12), 'rate': Decimal('25.66')},
    {'date': date(2022, 10, 11), 'rate': Decimal('25.74')},
    {'date': date(2022, 10, 10), 'rate': Decimal('25.6')},
    {'date': date(2022, 10, 7), 'rate': Decimal('25.99')},
    {'date': date(2022, 10, 6), 'rate': Decimal('26.1')},
    {'date': date(2022, 10, 5), 'rate': Decimal('25.91')},
    {'date': date(2022, 10, 4), 'rate': Decimal('25.99')},
    {'date': date(2022, 10, 3), 'rate': Decimal('24.82')},
    {'date': date(2022, 9, 30), 'rate': Decimal('25.2')},
    {'date': date(2022, 9, 29), 'rate': Decimal('24.34')},
    {'date': date(2022, 9, 28), 'rate': Decimal('24.51')},
    {'date': date(2022, 9, 27), 'rate': Decimal('25.02')},
    {'date': date(2022, 9, 26), 'rate': Decimal('25.09')},
    {'date': date(2022, 9, 23), 'rate': Decimal('25.32')},
    {'date': date(2022, 9, 22), 'rate': Decimal('25.33')},
    {'date': date(2022, 9, 21), 'rate': Decimal('25.3')},
    {'date': date(2022, 9, 20), 'rate': Decimal('25.31')},
    {'date': date(2022, 9, 19), 'rate': Decimal('25.71')},
    {'date': date(2022, 9, 16), 'rate': Decimal('25.76')},
    {'date': date(2022, 9, 15), 'rate': Decimal('25.99')},
    {'date': date(2022, 9, 14), 'rate': Decimal('25.69')},
    {'date': date(2022, 9, 13), 'rate': Decimal('25.88')},
    {'date': date(2022, 9, 12), 'rate': Decimal('26.01')},
    {'date': date(2022, 9, 9), 'rate': Decimal('25.74')},
    {'date': date(2022, 9, 8), 'rate': Decimal('26.04')},
    {'date': date(2022, 9, 7), 'rate': Decimal('25.98')},
    {'date': date(2022, 9, 6), 'rate': Decimal('26.32')},
    {'date': date(2022, 9, 5), 'rate': Decimal('26.46')},
    {'date': date(2022, 9, 2), 'rate': Decimal('26.66')},
    {'date': date(2022, 9, 1), 'rate': Decimal('26.49')},
    {'date': date(2022, 8, 31), 'rate': Decimal('27.14')},
    {'date': date(2022, 8, 30), 'rate': Decimal('27.43')},
    {'date': date(2022, 8, 29), 'rate': Decimal('27.14')},
    {'date': date(2022, 8, 26), 'rate': Decimal('27.79')},
    {'date': date(2022, 8, 25), 'rate': Decimal('27.5')},
    {'date': date(2022, 8, 24), 'rate': Decimal('27.28')},
    {'date': date(2022, 8, 23), 'rate': Decimal('27.68')},
    {'date': date(2022, 8, 22), 'rate': Decimal('27.14')},
    {'date': date(2022, 8, 19), 'rate': Decimal('27.34')},
    {'date': date(2022, 8, 18), 'rate': Decimal('27.34')},
    {'date': date(2022, 8, 17), 'rate': Decimal('27.07')},
    {'date': date(2022, 8, 16), 'rate': Decimal('27.0')},
    {'date': date(2022, 8, 15), 'rate': Decimal('26.9')},
    {'date': date(2022, 8, 12), 'rate': Decimal('26.46')},
    {'date': date(2022, 8, 11), 'rate': Decimal('26.7')},
    {'date': date(2022, 8, 10), 'rate': Decimal('26.18')},
    {'date': date(2022, 8, 9), 'rate': Decimal('26.25')},
    {'date': date(2022, 8, 8), 'rate': Decimal('26.42')},
    {'date': date(2022, 8, 5), 'rate': Decimal('26.44')},
    {'date': date(2022, 8, 4), 'rate': Decimal('26.53')},
    {'date': date(2022, 8, 3), 'rate': Decimal('26.53')},
    {'date': date(2022, 8, 2), 'rate': Decimal('26.22')},
    {'date': date(2022, 8, 1), 'rate': Decimal('26.32')},
    {'date': date(2022, 7, 29), 'rate': Decimal('26.36')},
    {'date': date(2022, 7, 28), 'rate': Decimal('26.08')},
    {'date': date(2022, 7, 27), 'rate': Decimal('25.69')},
    {'date': date(2022, 7, 26), 'rate': Decimal('25.8')},
    {'date': date(2022, 7, 25), 'rate': Decimal('25.61')},
    {'date': date(2022, 7, 22), 'rate': Decimal('26.06')},
    {'date': date(2022, 7, 21), 'rate': Decimal('25.55')},
    {'date': date(2022, 7, 20), 'rate': Decimal('25.14')},
    {'date': date(2022, 7, 19), 'rate': Decimal('24.49')},
    {'date': date(2022, 7, 18), 'rate': Decimal('24.66')},
    {'date': date(2022, 7, 15), 'rate': Decimal('24.45')},
    {'date': date(2022, 7, 14), 'rate': Decimal('24.43')},
    {'date': date(2022, 7, 13), 'rate': Decimal('24.47')},
    {'date': date(2022, 7, 12), 'rate': Decimal('24.37')},
    {'date': date(2022, 7, 11), 'rate': Decimal('24.58')},
    {'date': date(2022, 7, 8), 'rate': Decimal('24.6')},
    {'date': date(2022, 7, 7), 'rate': Decimal('24.4')},
    {'date': date(2022, 7, 6), 'rate': Decimal('24.18')},
    {'date': date(2022, 7, 5), 'rate': Decimal('23.92')},
    {'date': date(2022, 7, 4), 'rate': Decimal('24.28')},
    {'date': date(2022, 7, 1), 'rate': Decimal('23.81')},
    {'date': date(2022, 6, 30), 'rate': Decimal('24.11')},
    {'date': date(2022, 6, 29), 'rate': Decimal('23.72')},
    {'date': date(2022, 6, 28), 'rate': Decimal('23.56')},
    {'date': date(2022, 6, 27), 'rate': Decimal('23.74')},
    {'date': date(2022, 6, 24), 'rate': Decimal('23.67')},
    {'date': date(2022, 6, 23), 'rate': Decimal('23.44')},
    {'date': date(2022, 6, 22), 'rate': Decimal('23.91')},
    {'date': date(2022, 6, 21), 'rate': Decimal('23.97')},
    {'date': date(2022, 6, 20), 'rate': Decimal('24.31')},
    {'date': date(2022, 6, 17), 'rate': Decimal('24.34')},
    {'date': date(2022, 6, 16), 'rate': Decimal('25.09')},
    {'date': date(2022, 6, 15), 'rate': Decimal('25.16')},
    {'date': date(2022, 6, 14), 'rate': Decimal('25.01')},
    {'date': date(2022, 6, 13), 'rate': Decimal('24.51')},
    {'date': date(2022, 6, 10), 'rate': Decimal('24.86')},
    {'date': date(2022, 6, 9), 'rate': Decimal('25.01')},
    {'date': date(2022, 6, 8), 'rate': Decimal('25.5')},
    {'date': date(2022, 6, 7), 'rate': Decimal('25.3')},
    {'date': date(2022, 6, 6), 'rate': Decimal('25.36')},
    {'date': date(2022, 6, 3), 'rate': Decimal('25.43')},
    {'date': date(2022, 6, 2), 'rate': Decimal('25.52')},
    {'date': date(2022, 6, 1), 'rate': Decimal('25.9')},
    {'date': date(2022, 5, 31), 'rate': Decimal('25.69')},
    {'date': date(2022, 5, 30), 'rate': Decimal('25.74')},
    {'date': date(2022, 5, 27), 'rate': Decimal('25.21')},
    {'date': date(2022, 5, 26), 'rate': Decimal('25.42')},
    {'date': date(2022, 5, 25), 'rate': Decimal('24.64')},
    {'date': date(2022, 5, 24), 'rate': Decimal('24.43')},
    {'date': date(2022, 5, 23), 'rate': Decimal('25.72')},
    {'date': date(2022, 5, 20), 'rate': Decimal('25.89')},
    {'date': date(2022, 5, 19), 'rate': Decimal('25.9')},
    {'date': date(2022, 5, 18), 'rate': Decimal('26.05')},
    {'date': date(2022, 5, 17), 'rate': Decimal('26.25')},
    {'date': date(2022, 5, 16), 'rate': Decimal('27.07')},
    {'date': date(2022, 5, 13), 'rate': Decimal('27.22')},
    {'date': date(2022, 5, 12), 'rate': Decimal('27.33')},
    {'date': date(2022, 5, 11), 'rate': Decimal('28.27')},
    {'date': date(2022, 5, 10), 'rate': Decimal('28.55')},
    {'date': date(2022, 5, 9), 'rate': Decimal('28.12')},
    {'date': date(2022, 5, 6), 'rate': Decimal('28.5')},
    {'date': date(2022, 5, 5), 'rate': Decimal('29.73')},
    {'date': date(2022, 5, 4), 'rate': Decimal('29.08')},
    {'date': date(2022, 5, 3), 'rate': Decimal('29.44')},
    {'date': date(2022, 5, 2), 'rate': Decimal('29.01')},
    {'date': date(2022, 4, 29), 'rate': Decimal('29.63')},
    {'date': date(2022, 4, 28), 'rate': Decimal('29.26')},
    {'date': date(2022, 4, 27), 'rate': Decimal('28.26')},
    {'date': date(2022, 4, 26), 'rate': Decimal('29.06')},
    {'date': date(2022, 4, 25), 'rate': Decimal('27.43')},
    {'date': date(2022, 4, 22), 'rate': Decimal('27.7')},
    {'date': date(2022, 4, 21), 'rate': Decimal('28.3')},
    {'date': date(2022, 4, 20), 'rate': Decimal('28.46')},
    {'date': date(2022, 4, 19), 'rate': Decimal('28.92')},
    {'date': date(2022, 4, 14), 'rate': Decimal('28.78')},
    {'date': date(2022, 4, 13), 'rate': Decimal('28.45')},
    {'date': date(2022, 4, 12), 'rate': Decimal('28.0')},
    {'date': date(2022, 4, 11), 'rate': Decimal('27.87')},
    {'date': date(2022, 4, 8), 'rate': Decimal('27.56')},
    {'date': date(2022, 4, 7), 'rate': Decimal('27.21')},
    {'date': date(2022, 4, 6), 'rate': Decimal('26.87')},
    {'date': date(2022, 4, 5), 'rate': Decimal('26.89')},
    {'date': date(2022, 4, 4), 'rate': Decimal('26.44')},
    {'date': date(2022, 4, 1), 'rate': Decimal('26.18')},
    {'date': date(2022, 3, 31), 'rate': Decimal('26.34')},
    {'date': date(2022, 3, 30), 'rate': Decimal('26.4')},
    {'date': date(2022, 3, 29), 'rate': Decimal('26.43')},
    {'date': date(2022, 3, 28), 'rate': Decimal('26.33')},
    {'date': date(2022, 3, 25), 'rate': Decimal('26.57')},
    {'date': date(2022, 3, 24), 'rate': Decimal('26.0')},
    {'date': date(2022, 3, 23), 'rate': Decimal('26.02')},
    {'date': date(2022, 3, 22), 'rate': Decimal('25.75')},
    {'date': date(2022, 3, 21), 'rate': Decimal('25.77')},
    {'date': date(2022, 3, 18), 'rate': Decimal('25.45')},
    {'date': date(2022, 3, 17), 'rate': Decimal('26.05')},
    {'date': date(2022, 3, 16), 'rate': Decimal('26.09')},
    {'date': date(2022, 3, 15), 'rate': Decimal('25.46')},
    {'date': date(2022, 3, 14), 'rate': Decimal('25.94')},
    {'date': date(2022, 3, 11), 'rate': Decimal('26.11')},
    {'date': date(2022, 3, 10), 'rate': Decimal('25.79')},
    {'date': date(2022, 3, 9), 'rate': Decimal('26.84')},
    {'date': date(2022, 3, 8), 'rate': Decimal('26.1')},
    {'date': date(2022, 3, 7), 'rate': Decimal('25.98')},
    {'date': date(2022, 3, 4), 'rate': Decimal('25.65')},
    {'date': date(2022, 3, 3), 'rate': Decimal('25.8')},
    {'date': date(2022, 3, 2), 'rate': Decimal('25.53')},
    {'date': date(2022, 3, 1), 'rate': Decimal('25.06')},
    {'date': date(2022, 2, 28), 'rate': Decimal('24.48')},
    {'date': date(2022, 2, 25), 'rate': Decimal('24.23')},
    {'date': date(2022, 2, 24), 'rate': Decimal('23.8')},
    {'date': date(2022, 2, 23), 'rate': Decimal('24.27')},
    {'date': date(2022, 2, 22), 'rate': Decimal('23.93')},
    {'date': date(2022, 2, 21), 'rate': Decimal('23.9')},
    {'date': date(2022, 2, 18), 'rate': Decimal('23.69')},
    {'date': date(2022, 2, 17), 'rate': Decimal('23.84')},
    {'date': date(2022, 2, 16), 'rate': Decimal('23.51')},
    {'date': date(2022, 2, 15), 'rate': Decimal('23.42')},
    {'date': date(2022, 2, 14), 'rate': Decimal('22.99')},
    {'date': date(2022, 2, 11), 'rate': Decimal('23.2')},
    {'date': date(2022, 2, 10), 'rate': Decimal('23.22')},
    {'date': date(2022, 2, 9), 'rate': Decimal('23.45')},
    {'date': date(2022, 2, 8), 'rate': Decimal('23.09')},
    {'date': date(2022, 2, 7), 'rate': Decimal('22.97')},
    {'date': date(2022, 2, 4), 'rate': Decimal('22.9')},
    {'date': date(2022, 2, 3), 'rate': Decimal('23.14')},
    {'date': date(2022, 2, 2), 'rate': Decimal('23.63')},
    {'date': date(2022, 2, 1), 'rate': Decimal('23.33')},
    {'date': date(2022, 1, 31), 'rate': Decimal('24.01')},
    {'date': date(2022, 1, 28), 'rate': Decimal('23.71')},
    {'date': date(2022, 1, 27), 'rate': Decimal('22.95')},
    {'date': date(2022, 1, 26), 'rate': Decimal('23.37')},
    {'date': date(2022, 1, 25), 'rate': Decimal('23.09')},
    {'date': date(2022, 1, 24), 'rate': Decimal('23.04')},
    {'date': date(2022, 1, 21), 'rate': Decimal('22.98')},
    {'date': date(2022, 1, 20), 'rate': Decimal('23.33')},
    {'date': date(2022, 1, 19), 'rate': Decimal('22.97')},
    {'date': date(2022, 1, 18), 'rate': Decimal('22.95')},
    {'date': date(2022, 1, 17), 'rate': Decimal('22.79')},
    {'date': date(2022, 1, 14), 'rate': Decimal('22.67')},
    {'date': date(2022, 1, 13), 'rate': Decimal('22.5')},
    {'date': date(2022, 1, 12), 'rate': Decimal('22.63')},
    {'date': date(2022, 1, 11), 'rate': Decimal('22.33')},
    {'date': date(2022, 1, 10), 'rate': Decimal('21.94')},
    {'date': date(2022, 1, 7), 'rate': Decimal('22.02')},
    {'date': date(2022, 1, 6), 'rate': Decimal('21.66')},
    {'date': date(2022, 1, 5), 'rate': Decimal('21.92')},
    {'date': date(2022, 1, 4), 'rate': Decimal('22.19')},
    {'date': date(2022, 1, 3), 'rate': Decimal('21.72')},
    ]
