# -*- coding: utf-8 -*-
# This file is part of the investment-module from m-ds for Tryton.
# The COPYRIGHT file at the top level of this repository contains the
# full copyright notices and license terms.

from trytond.wizard import Wizard, StateTransition
from trytond.pool import Pool
from trytond.transaction import Transaction


class UpdateChartWizard(Wizard):
    'Update Chart'
    __name__ = 'investment_chart.chart_update'

    start_state = 'runupdate'
    runupdate = StateTransition()

    def transition_runupdate(self):
        """ update selected charts
        """
        pool = Pool()
        Asset = pool.get('investment.asset')
        Chart = pool.get('investment_chart.img')
        context = Transaction().context

        assets = Asset.browse(context.get('active_ids', []))
        if len(assets) > 0:
            Chart.update_chart_images(assets)

        return 'end'

# UpdateChartWizard
